Symptoms

When you install Microsoft Exchange Server 2019 together with the Edge Transport server role, TLS 1.2 is not set as the default protocol or even enabled. Instead, TLS 1.1 and TLS 1.0 are enabled.

Resolution

To fix this issue, install the Cumulative Update 10 for Exchange Server 2019 or a later cumulative update for Exchange Server 2019.

References

Learn about the terminology that Microsoft uses to describe software updates.

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Any additional feedback? (Optional)

Thank you for your feedback!

×